#week-modal {
  border: none; /* Rimuove il bordo predefinito del dialog */
  padding: 0;
  background-color: transparent; /* Sfondo trasparente per mostrare il backdrop */
  color: inherit;
  width: auto; /* Adatta la larghezza al contenuto */
  max-width: 800px; /* Imposta una larghezza massima */
  border-radius: 15px; /* Angoli arrotondati */
}

#week-modal::backdrop {
  background-color: rgba(0, 0, 0, 0.6); /* Sfondo scuro semi-trasparente */
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

#week-modal[open]::backdrop {
  opacity: 1;
}

.modale-container {
  display: flex;
}
.modale-left {
  padding: 30px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
}
.modale-left,
.modale-right {
  width: 50%;
}
.modale-right {
  background-repeat: no-repeat;
  background-size: cover;
}
.modale-contenuto {
  background-color: #88A0A5; /* Colore di sfondo bordeaux */
  color: white; /* Testo bianco */
  border-radius: 15px;
  position: relative; /* Per posizionare il pulsante di chiusura */
  text-align: center; /* Allinea il testo al centro */
}

#dialog-chiudi {
  color: var(--primary);
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 45px;
  border: none;
  background: none;
  padding: 0;
  cursor: pointer;
  opacity: 0.8;
  transition: opacity 0.2s ease-in-out;
}

#dialog-chiudi:hover,
#dialog-chiudi:focus {
  opacity: 1;
  text-decoration: none;
}

.modale-testo {
  padding-bottom: 20px;
}

.logo-container {
  margin-bottom: 20px;
}

.logo-container img {
  max-width: 150px; /* Imposta una larghezza massima per il logo */
  height: auto;
}

h2 {
  font-size: 1.8em;
  margin-bottom: 30px;
  text-align: left;
}

p {
  font-size: 1.1em;
  margin-bottom: 20px;
}

#scopri-appartamenti {
  background-color: white;
  color: #800020;
  border: none;
  padding: 12px 25px;
  border-radius: 5px;
  font-size: 1.1em;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

#scopri-appartamenti:hover,
#scopri-appartamenti:focus {
  background-color: #f0f0f0;
}

@media screen and (max-width: 767px) {
  #week-modal {
    margin: 20px;
  }
  .modale-right {
    display: none;
  }
  .modale-left {
    width: 100%;
  }
}
